ListNetworkMigrationExecutions - ApplicationMigrationService

ListNetworkMigrationExecutions

Lists network migration execution instances for a given definition, showing the status and progress of each execution.

Request Syntax

POST /network-migration/ListNetworkMigrationExecutions HTTP/1.1 Content-type: application/json { "filters": { "networkMigrationExecutionIDs": [ "string" ], "networkMigrationExecutionStatuses": [ "string" ] }, "maxResults": number, "networkMigrationDefinitionID": "string", "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

filters

Filters to apply when listing executions, such as status or execution ID.

Type: ListNetworkMigrationExecutionRequestFilters object

Required: No

maxResults

The maximum number of results to return in a single call.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: No

networkMigrationDefinitionID

The unique identifier of the network migration definition to list executions for.

Type: String

Length Constraints: Fixed length of 21.

Pattern: nmd-[0-9a-zA-Z]{17}

Required: Yes

nextToken

The token for the next page of results.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "activity": "string", "createdAt": number, "networkMigrationDefinitionID": "string", "networkMigrationExecutionID": "string", "stage": "string", "status": "string", "tags": { "string" : "string" }, "updatedAt": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

A list of network migration execution details.

Type: Array of NetworkMigrationExecution objects

nextToken

The token to use to retrieve the next page of results. This value is null when there are no more results to return.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

Operating denied due to a file permission or access check error.

HTTP Status Code: 403

ResourceNotFoundException

Resource not found exception.

resourceId

Resource ID not found error.

resourceType

Resource type not found error.

HTTP Status Code: 404

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: